Revoke document permissions
curl --request DELETE \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"userGroupIds": [
"<string>"
]
}
'import requests
url = "https://{instance}.omniapp.co/api/v1/documents/{documentId}/permissions"
payload = {
"userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"userGroupIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'], userGroupIds: ['<string>']})
};
fetch('https://{instance}.omniapp.co/api/v1/documents/{documentId}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Document permissions
Revoke document permissions
Revokes document permissions for users or user groups.
DELETE
/
v1
/
documents
/
{documentId}
/
permissions
Revoke document permissions
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
The document identifier. To retrieve the ID, navigate to File > Document settings in the document and then click Settings. The Identifier field contains the document ID.
Body
application/json
The list of user IDs to revoke permissions from. Use the List users and List embed users endpoints to retrieve user IDs. Either userIds or userGroupIds is required.
The list of user group IDs to revoke permissions from. Use the List user groups endpoint to retrieve user group IDs. Either userIds or userGroupIds is required.
Response
Permissions revoked successfully
Example:
true
Was this page helpful?
⌘I

